Operations - List
Lists all of the available Management REST API operations.
GET https://management.azure.com/providers/Microsoft.Management/operations?api-version=2020-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. The current version is 2018-01-01-preview. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List Operations
Sample request
GET https://management.azure.com/providers/Microsoft.Management/operations?api-version=2020-05-01
Sample response
{
"value": [
{
"name": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"display": {
"provider": "aaaaaaaaaaaaaaaaaaaaa",
"resource": "aaaaaaaaaaaaa",
"operation": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"description": "aaaaaaaaaaaaaaaaaaaaaa"
}
}
],
"nextLink": "aaaaaaaaaaaaaaaaaaa"
}
Definitions
| Name | Description |
|---|---|
|
Error |
The details of the error. |
|
Error |
The error object. |
| Operation |
Operation supported by the Microsoft.Management resource provider. |
|
Operation |
The object that represents the operation. |
|
Operation |
Describes the result of the request to list Microsoft.Management operations. |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
string |
A human-readable representation of the error's details. |
| message |
string |
A human-readable representation of the error. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |
Operation
Operation supported by the Microsoft.Management resource provider.
| Name | Type | Description |
|---|---|---|
| display |
Display |
|
| name |
string |
Operation name: {provider}/{resource}/{operation}. |
OperationDisplayProperties
The object that represents the operation.
| Name | Type | Description |
|---|---|---|
| description |
string |
Operation description. |
| operation |
string |
The operation that can be performed. |
| provider |
string |
The name of the provider. |
| resource |
string |
The resource on which the operation is performed. |
OperationListResult
Describes the result of the request to list Microsoft.Management operations.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL to get the next set of operation list results if there are any. |
| value |
List of operations supported by the Microsoft.Management resource provider. |